package com.nisum.myteam.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.nisum.myteam.model.dao.Billing;
import com.nisum.myteam.model.dao.Employee;

@Service
public interface IBillingService {

	Billing addBilling(Billing billingDetails, String loginEmpId);

	Billing updateBilling(Billing billingDetails, String loginEmpId);

	void deleteBilling(Billing teamMate);

	Billing addBillingtoResource(Billing billing, Employee employee, String loginEmpId);

	List<Billing> getBillingsForEmployee(String empId);

	List<Billing> getActiveBillings(String empId, String projectId);

	List<Billing> getBillingsForProject(String empId, String projectId);

}
